%global __requires_exclude ^perl\\(Algorithm::Diff\\)$

Summary:        Perform diffs on files and record sets
Name:           perl-Text-Diff
Version:        1.45
Release:        3%{?dist}
License:        (GPL+ or Artistic) and (GPLv2+ or Artistic) and MIT
URL:            https://metacpan.org/release/Text-Diff
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/Text-Diff-%{version}.tar.gz

BuildRequires:  make perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(strict)
BuildArch:      noarch

# Run-time:
BuildRequires:  perl(Algorithm::Diff) >= 1.19
BuildRequires:  perl(Carp) perl(Exporter) perl(warnings)

# Tests:
BuildRequires:  perl(IO::File) 
BuildRequires:  perl(Test) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%perl_version)
Requires:       perl(Algorithm::Diff) >= 1.19

%description
Text::Diff provides a basic set of services akin to the GNU diff utility.
Text::Diff is better integrated with Perl then GNU diff and available on all platforms. 
It is often faster than shelling out to a system's diff executable for small files, 
and generally slower on larger files.

%prep
%autosetup -n Text-Diff-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.45-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.45-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 9 2022 Cheng Xin <denisecheng@tencent.com> - 1.45-1
- package init.
